%global pypi_name python-editor

%if 0%{?fedora}
%global with_python3 1
%endif

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-editor
Version:        1.0.3
Release:        2%{?dist}
Summary:        Programmatically open an editor, capture the result.

License:        ASL 2.0
URL:            https://github.com/fmoo/python-editor
Source:         https://github.com/fmoo/python-editor/archive/%{version}.tar.gz
BuildArch:      noarch

%description
Programmatically open an editor, capture the result.

%package -n python2-editor
Summary:        Programmatically open an editor, capture the result.
%{?python_provide:%python_provide python2-editor}
# python_provide does not exist in CBS Cloud buildroot
Provides:       python-editor = %{upstream_version}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description -n python2-editor
Programmatically open an editor, capture the result.

%if 0%{?with_python3}
%package -n python3-editor
Summary:        Programmatically open an editor, capture the result.
%{?python_provide:%python_provide python3-editor}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-editor
Programmatically open an editor, capture the result.
%endif

%prep
%setup -q -n %{pypi_name}-%{upstream_version}
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif

%install
%{__python2} setup.py install --skip-build --root=$RPM_BUILD_ROOT
chmod a+x $RPM_BUILD_ROOT%{python2_sitelib}/editor.py

%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root=$RPM_BUILD_ROOT
chmod a+x $RPM_BUILD_ROOT%{python3_sitelib}/editor.py
%endif

%files
%doc README.md
%license LICENSE
%{python2_sitelib}/editor.py*
%{python2_sitelib}/python_editor-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-editor
%doc README.md
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/editor.py*
%{python3_sitelib}/__pycache__/*
%endif


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 27 2016 Kevin Fenzi <kevin@scrye.com> - 1.0.3-1
- Update to 1.0.3. Fixes bug #1400316

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-2
- Rebuild for Python 3.6

* Wed Nov 23 2016 Kevin Fenzi <kevin@scrye.com> - 1.0.2-1
- Update to 1.0.2

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 15 2016 Kevin Fenzi <kevin@scrye.com> - 1.0.1-1
- Update to 1.0.1. Fixes bug #1346641

* Sun Apr 10 2016 Kevin Fenzi <kevin@scrye.com> - 1.0-1
- Update to 1.0. Fixes bug #1323386

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Ralph Bean <rbean@redhat.com> - 0.4-4
- Merge branches together and bump release for bodhi updates.
- Removed empty %%check section.
- Fix incorrect usage of %%{pypi_name}.

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Aug 31 2015 Lukas Bezdicka <lbezdick@redhat.com> - 0.4-2
- fix python2 and python3 support and add support for Centos CBS
- fix description

* Wed Aug 26 2015 Lukas Bezdicka <lbezdick@redhat.com> - 0.4-1
- Bump to 0.4

* Tue Aug 25 2015 Lukas Bezdicka <lbezdick@redhat.com> - 0.3-1
- initial package
